Subject: Re: Bug in 2.26: git-fetch fetching too many objects?

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Apr 2020 12:16:51 -0700

Jonathan Nieder <[email-masked]> writes:

> (+cc: Jonathan Tan, fetch negotiation expert)
> Hi,
>
> Dixit, Ashutosh wrote:
>
>> I am seeing a strange behavior in git-fetch in 2.26. I frequently fetch
>> from a couple of linux kernel remotes (so you will have an idea how big the
>> repo is). I have a different system with 2.20 on which I never see a
>> problem.
> ...
> I suspect this is related to the change that protocol v2 does to use
> stateless-rpc even in stateful protocols.  If my suspicion is correct,
> then the same behavior would show up with protocol v0 over http and
> https as well.

Thanks.  

This is at least the fourth time we hear that v2 may not be ready
for the real-world use.  Perhaps we should revert the default flip
on the maintenance track while we hunt for bugs and improve the
protocol support?